Skip to content

upsertPickingList

WRITE

Upsert picking list.

POST /api/v1/inventory/upsertPickingList
curl -X POST '<your-host>/api/v1/inventory/upsertPickingList' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string",
    "pickingListId": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "assignee": {
      "type": "string"
    },
    "dueDate": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "pickingListId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "locationId",
    "pickingListId",
    "_operation"
  ]
}